From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 19 November 2009<P>

Oh Kirk!<BR>
<BR>
thanks for the front page pick and more than that, for the comment below it, which made me smile so much. Still a baby!!?? and in fact, recently turned just 29 :-) i'm wondering whether mentioning age was a bad idea after all - didn't it show in my earlier writings?<BR>
<BR>
thanks for this site - i love it here. been posting since i was 20 ;-) it's like coming home.
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 19 November 2009<P>

Thanks i'm just him; I love it when I can pick up an older poem, change a few words and it feels just the same or better. A good friend (Yeah Rens) told me if I was not writing new poetry to dust off past poems and tweak em to fit. That was sound advice.<BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=1139">jwb71913</a><BR>
Date: 19 November 2009<P>

Another fabulous digest Kirk.  Kudos to all!
<HR>